ScriptWriterParserInternal::Frame Struct Reference

Internal: the frame of a ScriptWriterParser. More...

## Public Member Functions
| Frame ()
| constructor

## Public Attributes
MWAWBox2i | m_position
| the frame bounding box
int | m_numChar
| the number of caracters
MWAWEntry | m_entries [2]
| the text and the style entries

## Detailed Description

Internal: the frame of a ScriptWriterParser.

## Constructor & Destructor Documentation

## ◆ Frame()

ScriptWriterParserInternal::Frame::Frame | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_entries

MWAWEntry ScriptWriterParserInternal::Frame::m_entries[2]

the text and the style entries

Referenced by ScriptWriterParser::readFrame(), and ScriptWriterParser::sendText().

## ◆ m_numChar

int ScriptWriterParserInternal::Frame::m_numChar

the number of caracters

Referenced by Frame(), ScriptWriterParser::readFrame(), and ScriptWriterParser::sendText().

## ◆ m_position

MWAWBox2i ScriptWriterParserInternal::Frame::m_position

the frame bounding box

Referenced by Frame(), and ScriptWriterParser::readFrame().

The documentation for this struct was generated from the following file:

- ScriptWriterParser.cxx